import request from '@/utils/request'

// 工作台列表
export function getWorkSpaceList(data) {
  return request({
    url: `oaflow/list?pageSize=${data.pageSize}&pageNum=${data.pageNum}`,
    method: 'post',
    data: data
  })
}
// 工作台审批
export function auditWork(data) {
  return request({
    url: `oaflow/approve`,
    method: 'post',
    data: data
  })
}
// 统一所有页面的收回流程接口
export function rebacktWork(data) {
  return request({
    url: `oaflow/rollback`,
    method: 'post',
    data: data
  })
}
// 单据概述
export function getWorkDetailList(data) {
  return request({
    url: `oaflow/detail?pageSize=${data.pageSize}&pageNum=${data.pageNum}`,
    method: 'post',
    data: data
  })
}

// 收回
export function oaBack(data) {
  return request({
    url: `/oaflow/rollback`,
    method: "POST",
    data: data,
  });
}